Bug 24286 - The RH 7.0 version of LILO is broken for serial consoles
The RH 7.0 version of LILO is broken for serial consoles
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: 16749 50781 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-01-18 08:50 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-28 18:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-18 08:50:47 EST
The LILO that ships with RedHat 7.0 does not work correctly on a serial 
console.  LILO prints:


but does not permit you to select a kernel image.  Upgrading to a recent 
version of lilo (lilo-21.6 seems to work fine) solves the problem.

John Coffman, the current maintainer of LILO, had the following to say 
about the problem:

> RedHat has taken a divergent approach to LILO, starting with the 21.4.4
> code and adding the PCX (VGA only) interface.
Comment 1 Pekka Savola 2001-01-20 08:40:28 EST
This is a known bug.  If you comment out message= (the graphical menu), the selection should
work again.
Comment 2 Doug Ledford 2001-01-22 18:11:30 EST
I'm going to re-assign this to msw.  It seems to me that since the answer is not
to use the VGA message screen on a serial console machine, then there should
possibly be an option in the installer that allows us to disable the generation
of the VGA message in the lilo.conf file during install.  Matt?
Comment 3 Pekka Savola 2001-01-22 18:14:54 EST
An another solution might be to hack lilo so that if you append parameters such that
serial console would be enabled, or give serial= setting, message= would automatically
be disabled.

Comment 4 Matt Wilson 2001-01-22 18:38:55 EST
We can have the installer not put message= when it knows that you're on serial
install.  I think I'd like to get on mainline LILO, though.
Comment 5 Pekka Savola 2001-01-22 18:46:44 EST
Many people (including us, for example) install from standard console but put 
secondary/primary console settings in afterwards.

I agree diverging will not be pretty in the long run.  Lilo requires great deal of attention.
Comment 6 Need Real Name 2001-01-22 18:52:02 EST
Getting rid of message= when the install is on a serial console is a quick, 
easy hack to solve this problem for hard core serial console users, where 
serial console may be the only method of access after a remote install (we 
frequently install RedHat via two-kernel monte on remote systems, doing a full 
install without even a redhat CD or a floppy).

The real solution, as others have noted, is merging back to the mainline LILO 
and getting all of the other benefits that that provides (LBA support etc).
Comment 7 Matt Wilson 2001-01-22 18:54:24 EST
lba support is in the lilo we have already, and the menuing code is much much
different in mainline.
Comment 8 Jeremy Katz 2002-06-04 02:35:32 EDT
*** Bug 50781 has been marked as a duplicate of this bug. ***
Comment 9 Jeremy Katz 2002-06-04 15:23:24 EDT
Comment 10 Pekka Savola 2002-06-05 07:48:46 EDT
*** Bug 16749 has been marked as a duplicate of this bug. ***
Comment 11 Jeremy Katz 2003-07-28 18:36:17 EDT
anaconda does the right thing for this case now

Note You need to log in before you can comment on or make changes to this bug.